#ifndef ERROR_H
#define ERROR_H

typedef enum {
	AL_NO_ERROR       = 0,
	AL_INVALID_PARAM  = 1,
	AL_INVALID_OBJECT = 2,

	AL_GENERIC_ERROR  = 255
} AL_ERROR_ENUM;

AL_ERROR_ENUM al_error(const char **str);
void al_error_set(AL_ERROR_ENUM code, const char *str);
void al_error_set_handler(void (*func)());

void AL_ERROR_ABORT(void);
void AL_ERROR_WARN(void);

#endif
