/***** Quick'n'dirty mutex stuff *****/

#include <pthread.h>

typedef struct _AL_MUTEX _AL_MUTEX;

struct _AL_MUTEX {
   pthread_mutex_t mutex;
   volatile unsigned long count;
   pthread_t self;
};

void _al_mutex_lock(_AL_MUTEX *mutex);
void _al_mutex_unlock(_AL_MUTEX *mutex);
void _al_mutex_init(_AL_MUTEX *mutex);
void _al_mutex_deinit(_AL_MUTEX *mutex);
